
QGIS Application - Bug report #12133

Attempting to preview PostGIS external rasters crashes QGIS

2015-02-05 02:45 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 20327

Description

Loading it does not crash, but it does not show anything meaningful either.

History

#1 - 2015-02-19 05:54 AM - Martin Dobias

Do you mean that external raster == stored out of DB?

Could you please check the backtrace - the crash may be inside GDAL, I think it does not support out of DB rasters yet.

#2 - 2015-02-19 06:04 AM - Paolo Cavallini

Yes, I mean imported through the -R option.

Are you sure GDAL does not support them?

#3 - 2015-02-19 08:23 AM - Martin Dobias

I'm not 100% sure but judging it's not supported from: 

- GDAL ticket: http://trac.osgeo.org/gdal/ticket/3234

- GDAL source: http://trac.osgeo.org/gdal/browser/trunk/gdal/frmts/postgisraster/postgisrastertilerasterband.cpp#L144

#4 - 2015-02-23 12:49 AM - Even Rouault

I confirm out-db PostGIS raster are not supported yet in GDAL. After the fix in GDAL trunk (http://trac.osgeo.org/gdal/changeset/28530 that was a fix for a

regression in trunk only and should put GDAL in the state of GDAL 1.11), I cannot get crashes however, just blank images with error messages in the

console. Paolo mentionned to me he uses GDAL 1.10.1 :  there have been significant rework in GDAL 1.11 in the PostGIS raster driver that might explain

GDAL 1.11 and later being at least more robust when ingesting out-db raster.

#5 - 2015-10-17 03:55 PM - Jürgen Fischer

- Resolution set to up/downstream

- Status changed from Open to Closed

I can't produce a crash either - only black images.  So it's a dependency issue (GDAL complains ERROR 1: This raster has outdb storage. This feature

isn't still available).
